PaidGoods

Storefront traffic totals and series for a range, with the previous period

GET
/v1/stores/{storeId}/insights/traffic

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Query Parameters

from*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
to*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/insights/traffic?from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z"
{  "bucket": "hour",  "timezone": "string",  "kpis": {    "pageviews": {      "value": 0,      "previous": 0    },    "visitors": {      "value": 0,      "previous": 0    },    "visits": {      "value": 0,      "previous": 0    },    "bounceRate": {      "value": 0,      "previous": 0    },    "avgSessionMs": {      "value": 0,      "previous": 0    },    "conversionRate": {      "value": 0,      "previous": 0    }  },  "series": [    {      "bucket": "string",      "pageviews": -9007199254740991,      "sessions": -9007199254740991,      "visitors": -9007199254740991    }  ],  "tracking": {    "everSeen": true  }}